﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Unity;
using Microsoft.Practices.Composite.Regions;
using Module2.Views;

namespace Module2
{
	public class Module2 : IModule
	{
		IUnityContainer container;
		IRegionManager regionManager;

		public Module2(IRegionManager regionManager, IUnityContainer container)
		{
			this.regionManager = regionManager;
			this.container = container;
		}

		public void Initialize()
		{
            regionManager.RegisterViewWithRegion("PanelBarRegion", () => this.container.Resolve<Module2PanelBarItem>());
		}
	}
}