﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Module1.ViewModels;
using Telerik.Windows.Controls;
using Microsoft.Practices.Composite.Regions;
using Microsoft.Practices.Unity;

namespace Module1.Views
{
	/// <summary>
	/// Interaction logic for Module1OutlookItem.xaml
	/// </summary>
	public partial class Module1OutlookItem : RadOutlookBarItem
	{
		public Module1OutlookItem()
		{
			InitializeComponent();
		}

		public Module1OutlookItem(IRegionManager regionManager, IUnityContainer container)
			: base()
		{
			InitializeComponent();

			Module1ViewModel model = this.DataContext as Module1ViewModel;
			if (model != null)
			{
				model.Container = container;
				model.RegionManager = regionManager;
			}
		}
	}
}
